Bug 1573595 - Qtcurve can't be installed on a fresh install in F28
Summary: Qtcurve can't be installed on a fresh install in F28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qtcurve
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1594582 (view as bug list)
Depends On: 1556301
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 18:30 UTC by Tommy Beauclair-Mariotti
Modified: 2018-09-17 03:54 UTC (History)
4 users (show)

Fixed In Version: qtcurve-1.9.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-17 03:54:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Tommy Beauclair-Mariotti 2018-05-01 18:30:10 UTC
Description of problem: I tried to install QtCurve on a freshly installed F28 KDE. Unfortunately, for apparent depedency reasons, the metapackage is broken. One can install gtk2 and qt4 part, but kf5 and qt5 are problematic 


Version-Release number of selected component (if applicable): 1.8.18


How reproducible: Try to install QtCurve with dnf or dnfdragora


Steps to Reproduce:
1. Do a dnf install qtcurve or search for it in dnfdragora and select it for installation
2. Click on Apply or enter to validate the command
3. An error message appears

Actual results: 
-Error message in dnfdragora : "['\n Problème: package qtcurve-1.8.18-6.g330bfa5.fc26.x86_64 requires qtcurve-qt5(x86-64) = 1.8.18-6.g330bfa5.fc26, but none of the providers can be installed\n - conflicting requests\n - nothing provides libQt5Widgets.so.5(Qt_5_PRIVATE_API)(64bit) needed by qtcurve-qt5-1.8.18-6.g330bfa5.fc26.x86_64']"

-Error message in CLI : Erreur : 
 Problème: package qtcurve-1.8.18-6.g330bfa5.fc26.x86_64 requires qtcurve-qt5(x86-64) = 1.8.18-6.g330bfa5.fc26, but none of the providers can be installed
  - conflicting requests
  - nothing provides libQt5Widgets.so.5(Qt_5_PRIVATE_API)(64bit) needed by qtcurve-qt5-1.8.18-6.g330bfa5.fc26.x86_64

I did a dnf provides libQt5Widgets.so.5, returns me that it belongs to qt5-qtbase-gui, which is installed on my system.


Expected results: QtCurve installing and working in F28 KDE


Additional info:

Comment 1 Rex Dieter 2018-05-01 19:55:11 UTC

*** This bug has been marked as a duplicate of bug 1556301 ***

Comment 2 Tommy Beauclair-Mariotti 2018-05-01 21:01:15 UTC
I can't understand this duplicate.
I'm not speaking about the source RPM or a build. But the actual packages (with fc26 in the name BTW) that are in the official repositories. So packages that have already been built

Comment 3 Rex Dieter 2018-05-01 23:05:37 UTC
The reason it cannot be nstalled is because it needs ti be rebuilt

Comment 4 Rex Dieter 2018-05-03 14:32:05 UTC
So, marking as depends then, the FTBFS issue needs to be fixed first to resolve this.

Comment 5 Tommy Beauclair-Mariotti 2018-05-03 14:36:45 UTC
As said in the master bugreport, please contact me if there's need some testing in order to fix it.

Comment 6 Rex Dieter 2018-06-25 13:07:16 UTC
*** Bug 1594582 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2018-09-05 15:59:48 UTC
qtcurve-1.9.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c6432470c6

Comment 8 Fedora Update System 2018-09-07 00:07:42 UTC
qtcurve-1.9.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c6432470c6

Comment 9 Fedora Update System 2018-09-07 00:08:10 UTC
qtcurve-1.9.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c6432470c6

Comment 10 Fedora Update System 2018-09-17 03:54:49 UTC
qtcurve-1.9.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.